Bug 421421 - Installer expect sqlplus in /opt/oracle/bin/sqlplus
Installer expect sqlplus in /opt/oracle/bin/sqlplus
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
510
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Michael Mráka
Preethi Thomas
:
Depends On:
Blocks: 248627
  Show dependency treegraph
 
Reported: 2007-12-12 08:39 EST by Miroslav Suchý
Modified: 2008-04-02 20:24 EDT (History)
0 users

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 20:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2007-12-12 08:39:29 EST
Description of problem:
/usr/bin/rhn-populate-database.pl on line 73 
but new oracle packages install sqlplus in /usr/lib/oracle/10.2.0/client/bin/sqlplus

Version-Release number of selected component (if applicable):
510-28

How reproducible:
always

Steps to Reproduce:
1. install new iso
2. check if db is populated
  
Actual results:
cat /var/log/rhn/populate_db.log
open3: exec of /opt/oracle/bin/sqlplus rhnsat/rhnsat@rhnsat
@/etc/sysconfig/rhn/universe.deploy.sql failed at
/usr/bin/rhn-populate-database.pl line 73


Expected results:
no error
Comment 1 Michael Mráka 2007-12-13 04:17:52 EST
sqlplus is now in PATH, so just strip path from exec call

fixed in
/cvs/rhn/rhn/satellite/admin/rhn-populate-database.pl,v  <--  rhn-populate-
database.pl
new revision: 1.11; previous revision: 1.10
Comment 2 Preethi Thomas 2007-12-18 13:52:19 EST
verified
Comment 3 Brandon Perkins 2008-04-02 20:24:48 EDT
5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.